Xampp and Subversion causes segmentation fault

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Xampp and Subversion causes segmentation fault

Postby ostraaten2 » 07. December 2010 21:53

Hi,
I'm trying to setup xampp-linux-1.7.3a.tar.gz on Ubuntu 10.0.4 with Subversion version 1.6.6 (r40053). When I try to start Xampp it causes a segmentation fault.

sudo /opt/lampp/lampp start
Starting XAMPP for Linux 1.7.3a...
XAMPP: Starting Apache with SSL (and PHP5)...
Segmentation fault
XAMPP: Error 139! Couldn't start Apache!
XAMPP: Starting diagnose...
XAMPP: Sorry, I've no idea what's going wrong.
XAMPP: Please contact our forum http://community.apachefriends.org/f/
XAMPP: XAMPP-MySQL is already running.
XAMPP: XAMPP-ProFTPD is already running.
XAMPP for Linux started.

This is caused by two lines in my httpd.conf
LoadModule dav_svn_module modules/mod_dav_svn.so
LoadModule authz_svn_module modules/mod_authz_svn.so

These modules are copied from Apache2 install dir /usr/lib/apache2/modules.

When I use apache2 I can setup a repos without problems. Things are a little more preinstalled and preconfigured with Apache2 for using Subversion but anyway shouldn't this just also work for xampp?

Thanks,
Onno
ostraaten2
 
Posts: 4
Joined: 07. December 2010 21:41

Re: Xampp and Subversion causes segmentation fault

Postby greno » 07. December 2010 22:06

Check if you are trying to mix x86-64 and x86-32 libraries.

-Gerry
greno
 
Posts: 54
Joined: 04. October 2006 19:25

Re: Xampp and Subversion causes segmentation fault

Postby ostraaten2 » 08. December 2010 11:25

I'm a noob in that area I'm afraid. Can you give me some pointers on how to check what I have installed?
Thanks,
Onno
ostraaten2
 
Posts: 4
Joined: 07. December 2010 21:41

Re: Xampp and Subversion causes segmentation fault

Postby ostraaten2 » 09. December 2010 20:41

Mmm... can't be mixing libraries as I am running 32 bit Ubuntu...

Is there any other way to get some mods that will work with Xampp from another source?

Or to support development of software that uses integration of Apache and Subversion what is recommended? Should I abandon use of Xampp and go for all separate install of Apache, MySQL, PHP? Or should I switch Xampp Apache for standalone Apache2 and use that with other Xampp components? Is that possible?
ostraaten2
 
Posts: 4
Joined: 07. December 2010 21:41

Re: Xampp and Subversion causes segmentation fault

Postby greno » 09. December 2010 21:22

I guess you are trying to follow something like: http://svn.spears.at/

Since you are just creating modules for Apache it should work fine. Recheck your steps.

I would ask on the lists at the sites where these Apache-Subversion How-To's are hosted.

-Gerry
greno
 
Posts: 54
Joined: 04. October 2006 19:25

Re: Xampp and Subversion causes segmentation fault

Postby superharris » 08. January 2011 23:11

Hi,

I am experiencing the same problem. Have you managed to resolve this?

1. I installed the libapache2-svn from Ubuntu Package manager
2. Copied mod_dav_svn.so, and mod_authz_svn.so to /opt/lampp/modules/
3. Added the following to httpd.conf

# Load WebDAV SVN
LoadModule dav_svn_module modules/mod_dav_svn.so
LoadModule authz_svn_module modules/mod_authz_svn.so

4. Restart apache with /opt/lampp/lampp start

I got a segmentation fault message as follow:
Segmentation fault
XAMPP: Error 139! Couldn't start Apache!
XAMPP: Starting diagnose...
XAMPP: Sorry, I've no idea what's going wrong.
XAMPP: Please contact our forum http://community.apachefriends.org/f/

error log here:
[21543.228895] httpd[12078]: segfault at 2 ip 005135c0 sp bf8048f0 error 4 in libldap_r-2.4.so.2.5.4[4ea000+44000]
[21594.198011] httpd[12341]: segfault at 2 ip 0075c5c0 sp bfbaafc0 error 4 in libldap_r-2.4.so.2.5.4[733000+44000]
[21834.206807] httpd[12912]: segfault at 2 ip 006515c0 sp bf81bd80 error 4 in libldap_r-2.4.so.2.5.4[628000+44000]
[21872.743804] httpd[13640]: segfault at 2 ip 00d385c0 sp bf8d6b10 error 4 in libldap_r-2.4.so.2.5.4[d0f000+44000]
[21878.194436] httpd[13711]: segfault at 2 ip 0072a5c0 sp bfd22420 error 4 in libldap_r-2.4.so.2.5.4[701000+44000]
[22452.278664] httpd[13979]: segfault at 2 ip 006865c0 sp bfb3fba0 error 4 in libldap_r-2.4.so.2.5.4[65d000+44000]
[23488.242914] httpd[14253]: segfault at 2 ip 006cc5c0 sp bfe20e70 error 4 in libldap_r-2.4.so.2.5.4[6a3000+44000]

Any help is appreciated!!

many thanks
superharris
 
Posts: 1
Joined: 08. January 2011 23:04


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests